Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1085694

Summary: prosody: resource consumption denial of service when using XMPP application-layer compression [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Murray McAllister <mmcallis>
Component: prosodyAssignee: Johan Cwiklinski <fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el6CC: fedora, jamielinux, mwild1, redhat-bugzilla, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: prosody-0.8.2-7.el6 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-12 02:06:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Murray McAllister 2014-04-09 07:07:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-04-09 07:07:33 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1085692,1085694

Comment 2 Robert Scheck 2014-04-21 18:13:39 UTC
Matthew, according to our security it seems like prosody 0.8.2 (which we ship
in Fedora EPEL 5 and 6 for RHEL/CentOS 5 and 6) is vulnerable as well. I tried
to merge the patches mentioned in bug #1085692 comment #2 but I am not sure if
this is the right way...because of other code changes that meanwhile happened.
As bug #999953 seems to be a blocker to get prosody updated to 0.9.x series, I
would like to ask you for some support getting the security patches backported.

Comment 3 Matthew Wild (MattJ) 2014-04-22 09:51:41 UTC
Hi Robert,

These are the backported patches I produced for the Debian security team for Prosody 0.8.2:

  - https://matthewwild.co.uk/uploads/prosody-0.8-compression-dos-2.patch
  - https://hg.prosody.im/0.8/raw-rev/278489ee6e34

The first is a combined patch of all the commits at https://hg.prosody.im/0.8 that are related to the DoS, and the second is an extra one that didn't make it into the combined patch (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=743836 for context).

I also have a (Java) PoC exploit which can be used to verify the fix, which I can either run against a server (I don't have RH/Fedora anywhere myself) or email it to someone (I don't think it has yet been published by the authors).

Hope this helps,
Matthew

Comment 4 Fedora Update System 2014-04-23 20:54:16 UTC
prosody-0.8.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/prosody-0.8.2-7.el6

Comment 5 Fedora Update System 2014-04-23 20:54:55 UTC
prosody-0.8.2-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/prosody-0.8.2-10.el5

Comment 6 Robert Scheck 2014-04-23 21:02:43 UTC
Matthew, thank you very much. Your patches are included into the packages 
mentioned above.

Comment 7 Fedora Update System 2014-04-25 21:57:17 UTC
Package prosody-0.8.2-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing prosody-0.8.2-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1236/prosody-0.8.2-7.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-05-12 02:06:18 UTC
prosody-0.8.2-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-05-12 02:07:46 UTC
prosody-0.8.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.